Note: This is a public test instance of Red Hat Bugzilla. The data contained within is a snapshot of the live data so any changes you make will not be reflected in the production Bugzilla. Email is disabled so feel free to test any aspect of the site that you want. File any problems you find or give feedback at bugzilla.redhat.com.
Bug 2179990 - [abrt] ksysguardd: snprintf(): ksysguardd killed by SIGABRT
Summary: [abrt] ksysguardd: snprintf(): ksysguardd killed by SIGABRT
Keywords:
Status: CLOSED ERRATA
Alias: None
Product: Fedora
Classification: Fedora
Component: ksysguard
Version: 38
Hardware: x86_64
OS: Unspecified
unspecified
unspecified
Target Milestone: ---
Assignee: Rex Dieter
QA Contact: Fedora Extras Quality Assurance
URL: https://retrace.fedoraproject.org/faf...
Whiteboard: abrt_hash:2d3024f9d069f1cd4ed30dacfc6...
Depends On:
Blocks:
TreeView+ depends on / blocked
 
Reported: 2023-03-20 14:14 UTC by Florian Achleitner
Modified: 2023-04-05 01:35 UTC (History)
4 users (show)

Fixed In Version: ksysguard-5.22.0-9.fc38 ksysguard-5.22.0-9.fc37
Doc Type: If docs needed, set a value
Doc Text:
Clone Of:
Environment:
Last Closed: 2023-04-03 00:16:09 UTC
Type: ---
Embargoed:


Attachments (Terms of Use)
File: dso_list (deleted)
2023-03-20 14:14 UTC, Florian Achleitner
no flags Details
File: open_fds (deleted)
2023-03-20 14:14 UTC, Florian Achleitner
no flags Details
File: maps (deleted)
2023-03-20 14:14 UTC, Florian Achleitner
no flags Details
File: mountinfo (deleted)
2023-03-20 14:14 UTC, Florian Achleitner
no flags Details
File: os_info (deleted)
2023-03-20 14:14 UTC, Florian Achleitner
no flags Details
File: cpuinfo (deleted)
2023-03-20 14:15 UTC, Florian Achleitner
no flags Details
File: backtrace (deleted)
2023-03-20 14:15 UTC, Florian Achleitner
no flags Details
File: limits (deleted)
2023-03-20 14:15 UTC, Florian Achleitner
no flags Details
File: proc_pid_status (deleted)
2023-03-20 14:15 UTC, Florian Achleitner
no flags Details
File: core_backtrace (deleted)
2023-03-20 14:15 UTC, Florian Achleitner
no flags Details

Description Florian Achleitner 2023-03-20 14:14:50 UTC
Description of problem:
ksysguardd crashes immediately after it starts.

Version-Release number of selected component:
ksysguardd-5.22.0-8.fc38

Additional info:
reporter:       libreport-2.17.8
rootdir:        /
backtrace_rating: 4
package:        ksysguardd-5.22.0-8.fc38
comment:        ksysguardd crashes immediately after it starts.
kernel:         6.2.7-300.fc38.x86_64
runlevel:       N 5
uid:            1000
reason:         ksysguardd killed by SIGABRT
executable:     /usr/bin/ksysguardd
cgroup:         0::/user.slice/user-1000.slice/user/session.slice/plasma-plasmashell.service
cmdline:        /usr/bin/ksysguardd
type:           CCpp
crash_function: snprintf

Truncated backtrace:
Thread no. 1 (3 frames)
 #8 snprintf at /usr/include/bits/stdio2.h:54
 #9 initLmSensors at /usr/src/debug/ksysguard-5.22.0-8.fc38.x86_64/ksysguardd/Linux/lmsensors.c:170
 #10 initModules at /usr/src/debug/ksysguard-5.22.0-8.fc38.x86_64/ksysguardd/ksysguardd.c:467

Comment 1 Florian Achleitner 2023-03-20 14:14:53 UTC
Created attachment 1952078 [details]
File: dso_list

Comment 2 Florian Achleitner 2023-03-20 14:14:55 UTC
Created attachment 1952079 [details]
File: open_fds

Comment 3 Florian Achleitner 2023-03-20 14:14:57 UTC
Created attachment 1952080 [details]
File: maps

Comment 4 Florian Achleitner 2023-03-20 14:14:58 UTC
Created attachment 1952081 [details]
File: mountinfo

Comment 5 Florian Achleitner 2023-03-20 14:14:59 UTC
Created attachment 1952082 [details]
File: os_info

Comment 6 Florian Achleitner 2023-03-20 14:15:01 UTC
Created attachment 1952083 [details]
File: cpuinfo

Comment 7 Florian Achleitner 2023-03-20 14:15:02 UTC
Created attachment 1952084 [details]
File: backtrace

Comment 8 Florian Achleitner 2023-03-20 14:15:04 UTC
Created attachment 1952085 [details]
File: limits

Comment 9 Florian Achleitner 2023-03-20 14:15:05 UTC
Created attachment 1952086 [details]
File: proc_pid_status

Comment 10 Florian Achleitner 2023-03-20 14:15:06 UTC
Created attachment 1952087 [details]
File: core_backtrace

Comment 11 Matt Fagnani 2023-03-26 17:57:34 UTC
I'm using Plasma 5.27.3 on Wayland in a Fedora 38 KDE Plasma installation. I started ksysguard from ksysguard-5.22.0-8.fc38.x86_64. A crash notification appeared. gnome-abrt and coredumpctl showed that ksysguardd crashed repeatedly after starting ksysguard when lmSensors was being initalized. The function __GI___fortify_fail showed the error "buffer overflow detected" in frame 5 of the trace which was like that in this report.

Core was generated by `/usr/bin/ksysguardd'.
Program terminated with signal SIGABRT, Aborted.
#0  __pthread_kill_implementation (threadid=<optimized out>, signo=signo@entry=6, 
    no_tid=no_tid@entry=0) at pthread_kill.c:44
44            return INTERNAL_SYSCALL_ERROR_P (ret) ? INTERNAL_SYSCALL_ERRNO (ret) : 0;
(gdb) bt
#0  __pthread_kill_implementation (threadid=<optimized out>, signo=signo@entry=6, 
    no_tid=no_tid@entry=0) at pthread_kill.c:44
#1  0x00007fd376a2bc03 in __pthread_kill_internal (signo=6, threadid=<optimized out>)
    at pthread_kill.c:78
#2  0x00007fd3769daaee in __GI_raise (sig=sig@entry=6) at ../sysdeps/posix/raise.c:26
#3  0x00007fd3769c387f in __GI_abort () at abort.c:79
#4  0x00007fd3769c460f in __libc_message (fmt=fmt@entry=0x7fd376b3f2e6 "*** %s ***: terminated\n")
    at ../sysdeps/posix/libc_fatal.c:150
#5  0x00007fd376abfb29 in __GI___fortify_fail (
    msg=msg@entry=0x7fd376b3f28c "buffer overflow detected") at fortify_fail.c:24
#6  0x00007fd376abe364 in __GI___chk_fail () at chk_fail.c:28
#7  0x00007fd376abdf45 in ___snprintf_chk (s=<optimized out>, maxlen=maxlen@entry=300, 
    flag=flag@entry=2, slen=slen@entry=36, format=format@entry=0x55ecb81b1f98 "lmsensors/%s/%s")
    at snprintf_chk.c:29
#8  0x000055ecb81a88d6 in snprintf (__fmt=0x55ecb81b1f98 "lmsensors/%s/%s", __n=300, 
    __s=<optimized out>) at /usr/include/bits/stdio2.h:54
#9  initLmSensors (sm=0x55ecb81b8190 <SensorModulList+336>)
    at /usr/src/debug/ksysguard-5.22.0-8.fc38.x86_64/ksysguardd/Linux/lmsensors.c:170
#10 0x000055ecb8195319 in initModules ()
    at /usr/src/debug/ksysguard-5.22.0-8.fc38.x86_64/ksysguardd/ksysguardd.c:467
#11 main (argc=<optimized out>, argv=<optimized out>)
    at /usr/src/debug/ksysguard-5.22.0-8.fc38.x86_64/ksysguardd/ksysguardd.c:558

The crash happened 264 times according to coredumpctl. Fedora 38 involved a change to use the build flag _FORTIFY_SOURCE=3  https://fedoraproject.org/wiki/Changes/Add_FORTIFY_SOURCE%3D3_to_distribution_build_flags That change might be involved in the buffer overflow being detected. I reported this problem at https://bugs.kde.org/show_bug.cgi?id=467821

Comment 12 Matt Fagnani 2023-03-26 22:49:20 UTC
This problem might be fixed by the commit lmsensors: Fix buffer size passed to snprintf at https://invent.kde.org/plasma/ksysguard/-/commit/cb52be2f743a6717355445889dd3e2e265ad75fa

Comment 13 Fedora Update System 2023-03-27 09:38:54 UTC
FEDORA-2023-dd5fbef73f has been submitted as an update to Fedora 38. https://bodhi.fedoraproject.org/updates/FEDORA-2023-dd5fbef73f

Comment 14 marcdeop 2023-03-27 10:21:32 UTC
@matt.fagnani perhaps you could test the update I submitted? If it solves the issue I Will backport it to previous releases.

Comment 15 Florian Achleitner 2023-03-27 11:38:16 UTC
With the update, ksysguardd no longer aborts. 
Thanks!

Comment 16 Fedora Update System 2023-03-27 12:02:02 UTC
FEDORA-2023-0fbf82a6f4 has been submitted as an update to Fedora 37. https://bodhi.fedoraproject.org/updates/FEDORA-2023-0fbf82a6f4

Comment 17 Matt Fagnani 2023-03-27 12:18:07 UTC
ksysguardd didn't crash after I updated to ksysguardd-5.22.0-9.fc38. Thanks.

Comment 18 Fedora Update System 2023-03-28 03:28:07 UTC
FEDORA-2023-0fbf82a6f4 has been pushed to the Fedora 37 testing repository.
Soon you'll be able to install the update with the following command:
`sudo dnf upgrade --enablerepo=updates-testing --refresh --advisory=FEDORA-2023-0fbf82a6f4`
You can provide feedback for this update here: https://bodhi.fedoraproject.org/updates/FEDORA-2023-0fbf82a6f4

See also https://fedoraproject.org/wiki/QA:Updates_Testing for more information on how to test updates.

Comment 19 Fedora Update System 2023-03-28 03:42:16 UTC
FEDORA-2023-dd5fbef73f has been pushed to the Fedora 38 testing repository.

You can provide feedback for this update here: https://bodhi.fedoraproject.org/updates/FEDORA-2023-dd5fbef73f

See also https://fedoraproject.org/wiki/QA:Updates_Testing for more information on how to test updates.

Comment 20 Garry T. Williams 2023-03-31 13:38:34 UTC
The crash occurred upon reboot immediately after system-upgrade to f38.


reporter:       libreport-2.17.9
journald_cursor: s=64a37cd165ea477e805e99d437a6a59b;i=9a989;b=96e86ed4f6d342ccb982d12db8d47c53;m=144205c;t=5f82517f57e10;x=99ba515553f31a00
backtrace_rating: 4
runlevel:       N 5
package:        ksysguardd-5.22.0-8.fc38
cgroup:         0::/user.slice/user-1000.slice/user/session.slice/plasma-plasmashell.service
kernel:         6.2.8-300.fc38.x86_64
crash_function: snprintf
cmdline:        /usr/bin/ksysguardd
type:           CCpp
executable:     /usr/bin/ksysguardd
reason:         ksysguardd killed by SIGABRT
rootdir:        /
comment:        The crash occurred upon reboot immediately after system-upgrade to f38.
uid:            1000

Comment 21 marcdeop 2023-03-31 13:43:26 UTC
This project has been archived upstream: https://invent.kde.org/plasma/ksysguard

We should probably just retire this package.

Comment 22 Fedora Update System 2023-04-03 00:16:09 UTC
FEDORA-2023-dd5fbef73f has been pushed to the Fedora 38 stable repository.
If problem still persists, please make note of it in this bug report.

Comment 23 Fedora Update System 2023-04-05 01:35:03 UTC
FEDORA-2023-0fbf82a6f4 has been pushed to the Fedora 37 stable repository.
If problem still persists, please make note of it in this bug report.


Note You need to log in before you can comment on or make changes to this bug.